Skip to main content
POST
/
api
/
v1
/
properties
/
{id}
/
units
cURL
curl --request POST \
  --url https://sandbox.api.nkama.ga/api/v1/properties/{id}/units \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "<string>",
  "areaSqm": 123,
  "bathrooms": 123,
  "bedrooms": 123,
  "rentAmount": 123,
  "rentCurrency": "<string>"
}
'
{
  "areaSqm": 123,
  "bathrooms": 123,
  "bedrooms": 123,
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "label": "<string>",
  "propertyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "rentAmount": 123,
  "rentCurrency": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer access token (JWT) issued by Keycloak or the sandbox token endpoint.

Path Parameters

id
string<uuid>
required

Body

application/json
label
string
required
Minimum string length: 1
areaSqm
integer<int32>
bathrooms
integer<int32>
bedrooms
integer<int32>
rentAmount
integer<int64>
rentCurrency
string

Response

201 - */*

Created

areaSqm
integer<int32>
bathrooms
integer<int32>
bedrooms
integer<int32>
id
string<uuid>
label
string
propertyId
string<uuid>
rentAmount
integer<int64>
rentCurrency
string
status
enum<string>
Available options:
AVAILABLE,
OCCUPIED,
UNAVAILABLE